Opened 4 years ago

Closed 4 years ago

#17325 closed defect (fixed)

clear denominators for projective points does not always work

Reported by: bhutz Owned by: jdefaria
Priority: minor Milestone: sage-6.4
Component: algebraic geometry Keywords:
Cc: Merged in:
Authors: Joao Alberto de Faria Reviewers: Ben Hutz
Report Upstream: N/A Work issues:
Branch: a02e785 (Commits) Commit: a02e785c5926887213eb0017dc9079223a759deb
Dependencies: Stopgaps:

Description

The following code does not return the right answer

PS.<x,y> = ProjectiveSpace(QQ,1)
Q=PS([3,2])
Q.scale_by(2/3)
print Q
Q.clear_denominators()
Q

the issue appears that it is not examining the last coordinate, it really needs dimension_relative+1.

Change History (8)

comment:1 Changed 4 years ago by jdefaria

  • Authors set to jdefaria

comment:2 Changed 4 years ago by jdefaria

  • Branch set to u/jdefaria/ticket/17325
  • Created changed from 11/12/14 18:16:06 to 11/12/14 18:16:06
  • Modified changed from 12/01/14 15:17:32 to 12/01/14 15:17:32

comment:3 Changed 4 years ago by jdefaria

  • Authors changed from jdefaria to Joao Alberto de Faria
  • Commit set to bbbe0de4d69f80a2e50303636dea0ad646a371d9
  • Status changed from new to needs_review

New commits:

bbbe0deFixed code to read dim_rel +1 , added example that caused original issue

comment:4 Changed 4 years ago by bhutz

  • Branch changed from u/jdefaria/ticket/17325 to u/bhutz/ticket/17325
  • Modified changed from 12/02/14 13:46:35 to 12/02/14 13:46:35

comment:5 Changed 4 years ago by bhutz

  • Commit changed from bbbe0de4d69f80a2e50303636dea0ad646a371d9 to a02e785c5926887213eb0017dc9079223a759deb
  • Reviewers set to Ben Hutz

I cleaned up the docs and condensed the code. You should test this again before we mark it positive.


New commits:

a02e78517325: clean up docs and condensed code

comment:6 Changed 4 years ago by jdefaria

Everything looked good on my end

comment:7 Changed 4 years ago by bhutz

  • Status changed from needs_review to positive_review

comment:8 Changed 4 years ago by vbraun

  • Branch changed from u/bhutz/ticket/17325 to a02e785c5926887213eb0017dc9079223a759deb
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.